import request from "@/utils/request";
export default {
  getLoadType() {
    return request({
      url: "/harmonic-boot/PollutionSubstation/getLoadType",
      method: "post",
      // data: data
    });
  },
  deptSubstationRelations(data) {
    return request({
      // url: '/harmonic-boot/pollution/deptSubstationRelations',
      //url:'/harmonic-boot/detailAnalysis/deptSubstationRelations',
      url: "/harmonic-boot/PollutionSubstation/deptSubstationRelations",
      method: "post",
      data: data,
    });
  },
  getLineInfo(data) {
    return request({
      //url: '/harmonic-boot/detailAnalysis/getLineInfoById',
      url: "/harmonic-boot/PollutionSubstation/getLineInfoById",
      method: "post",
      data: data,
    });
  },
  getLineRank(data) {
    return request({
      url: "/harmonic-boot/PollutionSubstation/getLineRank",
      // url:'',
      method: "post",
      data: data,
    });
  },
  getXbLineRank(data) {
    return request({
        url: '/harmonic-boot/detailAnalysis/getXbLineRank',
        // url:'',
        method: 'post',
        data: data,

    })
},
  getSubstation(data) {
    return request({
      //url: '/harmonic-boot/detailAnalysis/getSubstationInfoById',
      url: "/harmonic-boot/PollutionSubstation/getSubstationInfoById",
      method: "post",
      data: data,
    });
  },
  // test(data) {
  //   return request({
  //     url: '/harmonic-boot/harmonic/test',
  //     method: 'post',
  //     params: data,
  //   })
  // },
  guanzhou(data) {
    return request({
      url: "/pqs-auth/judgeToken/guangZhou",
      method: "post",
      params: data,
    });
  },
//   离线波形
  uploadFileAndViewWave(data) {
    return request({
      url: "/event-boot/autonomeWave/uploadFileAndViewWave",
      method: "post",
     data,
    });
  },
};
